package ru.yandex.webmaster3.core.util.trie;

/**
 * @author avhaliullin
 */
public interface TrieValueCodec<V> {
    int write(V value, TrieBufferWriter buffer, int offset);

    V read(TrieBufferReader data);

    void skip(TrieBufferReader data);
}
